#pragma once

#include "DevInfo.h"
// CRemoteCfgDlg 对话框

class CRemoteCfgDlg : public CDialog
{
	DECLARE_DYNAMIC(CRemoteCfgDlg)

public:
	CRemoteCfgDlg(CDevInfo *pDevInfo,CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CRemoteCfgDlg();

	void OnSetCfgDevIP(CDevInfo *pDevInfo);

// 对话框数据
	enum { IDD = IDD_DLG_REM_CFG };

	CDevInfo *m_pDevInfo;
	long m_lInit;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
public:
	afx_msg void OnClose();
};
